summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin Brubeck Unhammer2015-07-14 10:24:24 +0200
committerKevin Brubeck Unhammer2015-07-14 10:24:24 +0200
commit1da514e4902053ac97740c84f2c724e36607fd3d (patch)
tree15d8f1092a9c70a1e6288968245d45ae2b02fbfb
downloadaur-1da514e4902053ac97740c84f2c724e36607fd3d.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD40
2 files changed, 61 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a284c39cccd
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = norsk-ordbog
+ pkgdesc = CLI dictionary lookup for 'Norsk Ordbog med dansk Forklaring, by Ivar Aaasen (1873)'
+ pkgver = 1
+ pkgrel = 1
+ url = http://huftis.org/artiklar/norsk-ordbog-i-terminalen/
+ arch = i686
+ arch = x86_64
+ license = unknown
+ makedepends = tidyhtml
+ makedepends = unoconv
+ source = http://huftis.org/nedlasting/program/konverter-norsk-ordbog.sh
+ source = http://www.aasentunet.no/download.asp?object_id=C7B10D366BB84147B69F58ED0ABF21A4.zip
+ source = http://huftis.org/nedlasting/program/norsk-ordbog.sh
+ source = http://huftis.org/nedlasting/program/forkortingar.dat
+ md5sums = 4da738e5a6bfc67f9bb5108f395f2e3d
+ md5sums = 97bf4bacada91e909416b91bc252b559
+ md5sums = 1af84169c67fb742ee99371b3627d909
+ md5sums = c8c95d3e3d4c755b6125c8a6e1960903
+
+pkgname = norsk-ordbog
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9f6fb824eae
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,40 @@
+# $Id: pkgbuild-mode.el,v 1.23 2007/10/20 16:02:14 juergen Exp $
+# Maintainer: Kevin Brubeck Unhammer <unhammer@fsfe.org>
+pkgname=norsk-ordbog
+pkgver=1
+pkgrel=1
+pkgdesc="CLI dictionary lookup for 'Norsk Ordbog med dansk Forklaring, by Ivar Aaasen (1873)'"
+url="http://huftis.org/artiklar/norsk-ordbog-i-terminalen/"
+arch=('i686' 'x86_64')
+license=('unknown') # The dictionary itself should be public domain by now, scripts most likely GPL considering the programmers track record
+depends=()
+makedepends=('tidyhtml' 'unoconv')
+conflicts=()
+replaces=()
+backup=()
+install=
+source=("http://huftis.org/nedlasting/program/konverter-$pkgname.sh"
+ "http://www.aasentunet.no/download.asp?object_id=C7B10D366BB84147B69F58ED0ABF21A4.zip"
+ "http://huftis.org/nedlasting/program/$pkgname.sh"
+ "http://huftis.org/nedlasting/program/forkortingar.dat")
+md5sums=('4da738e5a6bfc67f9bb5108f395f2e3d'
+ '97bf4bacada91e909416b91bc252b559'
+ '1af84169c67fb742ee99371b3627d909'
+ 'c8c95d3e3d4c755b6125c8a6e1960903')
+build() {
+ cd $startdir/src
+
+ # make:
+ unoconv --timeout=90 -f html 1873-ordbok.doc || return 1
+ # Increase the timeout if it doesn't (eventually) convert!
+ sh konverter-$pkgname.sh || return 1
+ sed -i'.tmp' 's%^mappe="$(dirname "$0")"%mappe="$(dirname "$0")/../share/dict/norsk-ordbog"%' $pkgname.sh
+ chmod +x $pkgname.sh
+
+ # make install:
+ mkdir -p $startdir/pkg/usr/bin
+ cp $pkgname.sh $startdir/pkg/usr/bin/$pkgname
+ mkdir -p $startdir/pkg/usr/bin
+ mkdir -p $startdir/pkg/usr/share/dict/$pkgname
+ cp $pkgname.dat forkortingar.dat $startdir/pkg/usr/share/dict/$pkgname
+} \ No newline at end of file